import pg from "../postgres.js";
import { silencedMock } from "../mocks/alerting-mock.js";
// Imports
import {
  insertQuery,
  selectWhereAnyQuery,
  updateWhereAnyQuery,
} from "../pg-query.js";
// Constants
const table = "silenced_tests";
const PG_DISABLED = process.env.POSTGRES_DISABLED;

// Queries
export const getSilencedTests = async () => {
  if (PG_DISABLED) return silencedMock();
  const query = `SELECT * from ${table}`;
  return pg.query(query);
};
